﻿using System.Windows.Forms;
using Infragistics.Win.UltraWinExplorerBar;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            ultraExplorerBar1.Style = Infragistics.Win.UltraWinExplorerBar.UltraExplorerBarStyle.OutlookNavigationPane;

            ultraExplorerBar1.ImageSizeLarge = IconSize.Medium;
            ultraExplorerBar1.ImageSizeSmall = IconSize.Small;

            ultraExplorerBar1.GroupSettings.Style = GroupStyle.ControlContainer;
            ultraExplorerBar1.NavigationPaneExpansionMode = NavigationPaneExpansionMode.OnButtonClickOrSizeChanged;
            ultraExplorerBar1.NavigationPaneExpandedState = NavigationPaneExpandedState.Collapsed;
            ultraExplorerBar1.NavigationPaneExpansionThreshold = ultraExplorerBar1.ImageSizeLarge.Width;
            ultraExplorerBar1.ViewStyle = UltraExplorerBarViewStyle.Office2007;
            

            var navigationPaneHeaderAppearance = new Infragistics.Win.Appearance();
            navigationPaneHeaderAppearance.FontData.SizeInPoints = (float) 10.0;
            ultraExplorerBar1.GroupSettings.AppearancesLarge.NavigationPaneHeaderAppearance = navigationPaneHeaderAppearance;
        }

        private void ultraExplorerBar1_NavigationPaneExpanding(object sender, NavigationPaneExpandingEventArgs e)
        {
            e.Cancel = true;
        }

        private void ultraExplorerBar1_ActiveGroupChanging(object sender, CancelableGroupEventArgs e)
        {

        }

        private void ultraExplorerBar1_GroupClick(object sender, GroupEventArgs e)
        {

        }

        private void ultraExplorerBar1_GroupExpanding(object sender, CancelableGroupEventArgs e)
        {

        }

        private void ultraExplorerBar1_NavigationPaneFlyoutDisplaying(object sender, NavigationPaneFlyoutDisplayingEventArgs e)
        {
            e.Cancel = true;
        }
    }
}
